PUT api/prospects/campaigns
Request Information
URI Parameters
None.
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "9be9e0d4-aa3d-467e-982f-0d6d237a73df",
"toPersonIds": [
"ae93833e-2be2-464a-ad79-439fd744f088",
"98c14271-e51b-44aa-9730-808b6a4b8277"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"6d6bf053-8bc7-451d-8e3b-99b8c7469ab7",
"417341e1-55f6-45cc-8f0d-4f1fc2389ce7"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"16e05bdd-9fd4-4fea-91e6-b6af3e1f3513",
"6b2b989f-77c3-4d74-91e7-c999d622ee08"
],
"filterOrderOnCampaigns": [
"859819a5-2126-45a6-aa75-088a98c8e7f3",
"8fc0118c-a2f2-43c6-8507-46c9bfe13864"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-11-07T02:24:22.1271094+01:00",
"updatedTo": "2026-11-07T02:24:22.141859+01:00",
"lastBuyFrom": "2026-11-07T02:24:22.141859+01:00",
"lastBuyTo": "2026-11-07T02:24:22.141859+01:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"52b041f9-3bfa-417c-a54b-e956ff513749",
"2a27ebf3-16b1-4751-923b-e1ff51029011"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"campaigns": {
"campaigns": [
"2560bdd6-8f93-408f-b0b0-84333f6d068a",
"416c6838-ab76-470d-8b49-990662a20c82"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"4bd6b9d2-5615-44da-a7df-620e131b5563",
"caee0d51-b341-4ac2-a6bd-f52c2dabb247"
],
"products": [
"457fe7bc-2ab4-478f-98f3-b859e789eedc",
"772ba689-bb3c-408c-952d-8c7ce9fdbdf0"
],
"campaigns": [
"0dcafaf0-93f3-43aa-afd8-d125aebc1dbd",
"a10f3a3e-64c5-427e-88bd-97ec1378b95b"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.